#ifndef ANALOG_H
#define ANALOG_H

#include <stdint.h>

#define ANALOG_PORT GPIOA
#define ANALOG_PIN  4
#define ANALOG_PIN_MASK (1<<ANALOG_PIN)

#define ANALOG_RCC_GPIO_BIT RCC_AHBPeriph_GPIOA

#define ANALOG_ADC ADC2
#define ANALOG_CHANNEL ADC_Channel_1

#define ANALOG_RCC_ADC_BIT RCC_AHBPeriph_ADC12


void analog_init(void);
uint16_t analog_read(void);


#endif
